# Retry a failed run

> Source: https://elaichi.ai/docs/api-reference/workflows/automation/retryautomationrun/

`POST /automation/{id}/run/{runId}/retry`

Resource: **Workflow** · API: **Workflows**

## Path parameters

- **`id`** _(string, required)_
  Resource id
- **`runId`** _(string, required)_
  Resource id

## Request body

- **`from_step_key`** _(string,null)_

## Code examples

### curl

```bash
curl -X POST 'https://api.elaichi.ai/automation/<id>/run/<runId>/retry' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

### JavaScript

```javascript
const body = {};

const response = await fetch('https://api.elaichi.ai/automation/<id>/run/<runId>/retry', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
```

### Python

```python
import os
import requests

url = "https://api.elaichi.ai/automation/<id>/run/<runId>/retry"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}
payload = {}

response = requests.post(url, headers=headers, json=payload)
print(response.json())
```
